import * as React from "react";
import { InspectProps } from "./inspect";

const Inspect = React.lazy(() => import("./inspect"));

export default function Loader({
  ...props
}: InspectProps & { disabled?: boolean }) {
  if (process.env.NODE_ENV !== "development") {
    return <React.Fragment>{props.children}</React.Fragment>;
  }
  return (
    <React.Suspense fallback={null}>
      <Inspect {...props} />
    </React.Suspense>
  );
}

export { InspectProps };
